/*
 * Written by Dominik Drzewiecki and released to the public domain, as explained
 * at http://creativecommons.org/licenses/publicdomain
 */

package edu.emory.mathcs.util;

/**
 * Exception thrown from a macro expansion routine.
 */
public final class ExpansionException extends Exception {
    /**
     * Creates a new ExpansionException object.
     */
    public ExpansionException(String message) {
        super(message);
    }

    /**
     * Creates a new ExpansionException object.
     */
    public ExpansionException(String message, Throwable t) {
        super(message, t);
    }
}
